#include <iostream>

class __attribute__((__packed__)) Point {
  private:
    int x, y;

  public:
    Point(int x, int y);
    int getX();
    int getY();
    void set(int x, int y);
    void setX(int x);
    void setY(int y);
    void move(int dx, int dy);
    float distance(Point p);
    float distanceOrigin();

    friend std::ostream &operator<<(std::ostream &os, const Point &obj);
};
